#SingleInstance force


; Workaround for win10 mouse warping at edge of screen.
; FEATURE: set this to 1 to have the right mouse button as a toggle
useRightToggle=0


SetTimer, RClickFix, 30

isdown = 0
isldown = 0
edgeFactor = 3
enable = 1

~LControl::
    enable = 0
return
~LControl up::
    enable = 1
    isdown = 0
    isldown = 0
return

#If WinActive("ahk_exe " "UruExplorer.exe")

RButton::
    if isdown and useRightToggle
    {
        SendInput, {RButton up}
        isdown = 0
    }
    else
    {
        SendInput, {RButton down}
        isdown = 1
    }
return
RButton up::
    if !useRightToggle
    {
        SendInput, {RButton up}
        isdown = 0
    }
return

LButton::
    SendInput, {LButton down}
    isldown = 1
return

LButton up::
    SendInput, {LButton up}
    isldown = 0
return

XButton1::Send {Right down}
XButton1 up::Send {Right up}

XButton2::Send {Left down}
XButton2 up::Send {Left up}




RClickFix:
    if isdown and enable
    {
        x := 0
        y := 0
        w := 0
        h := 0
        ignoreX := 0
        ignoreY := 0
        ;minX := 
        WinGetPos, ignoreX, ignoreY, w, h, ahk_exe UruExplorer.exe
        MouseGetPos, x, y
        minW := w / edgeFactor
        minH := h / edgeFactor
        maxW := w - w / edgeFactor
        maxH := h - h / edgeFactor
        midW := w / 2
        midH := h / 2
        if (x < minW) {
            SendInput, {RButton up}
            if (isldown) {
                SendInput, {LButton up}
            }
            MouseMove, midW, y, 0
            if (isldown) {
                SendInput, {LButton down}
            }
            SendInput, {RButton down}
        }
        if (x > maxW) {
            SendInput, {RButton up}
            if (isldown) {
                SendInput, {LButton up}
            }
            MouseMove, midW, y, 0
            if (isldown) {
                SendInput, {LButton down}
            }
            SendInput, {RButton down}
        }
        if (y < minH) {
            SendInput, {RButton up}
            if (isldown) {
                SendInput, {LButton up}
            }
            MouseMove, x, midH, 0
            if (isldown) {
                SendInput, {LButton down}
            }
            SendInput, {RButton down}
        }
        if (y > maxH) {
            SendInput, {RButton up}
            if (isldown) {
                SendInput, {LButton up}
            }
            MouseMove, x, midH, 0
            if (isldown) {
                SendInput, {LButton down}
            }
            SendInput, {RButton down}
        }
    }
    else if isldown and enable
    {
        x := 0
        y := 0
        w := 0
        h := 0
        ignoreX := 0
        ignoreY := 0
        ;minX := 
        WinGetPos, ignoreX, ignoreY, w, h, ahk_exe UruExplorer.exe
        MouseGetPos, x, y
        minW := w / 3
        minH := h / 3
        maxW := w / 3 * 2
        maxH := h / 3 * 2
        midW := w / 2
        midH := h / 2
        if (x < minW) {
            SendInput, {LButton up}
            MouseMove, midW, y, 0
            SendInput, {LButton down}
        }
        if (x > maxW) {
            SendInput, {LButton up}
            MouseMove, midW, y, 0
            SendInput, {LButton down}
        }
        if (y < minH) {
            SendInput, {LButton up}
            MouseMove, x, midH, 0
            SendInput, {LButton down}
        }
        if (y > maxH) {
            SendInput, {LButton up}
            MouseMove, x, midH, 0
            SendInput, {LButton down}
        }
    }
return

#If
